#!/bin/sh
#
# This is a scorpio22 startup file, it will create all neccessary settings
# in "$HOME"/.scorpio22
# Scorpio needs its .ini file and the personality files for different game 
# situations in its start location. It is hardwired so please use this startup 
# file
# 
# This script was sligtly modified from a script originally written by Oliver Korff <ok@xynyx.de> 


if [ ! -d "$HOME"/.scorpio22 ] ; then 
		mkdir "$HOME"/.scorpio22 ; 
	fi

if [ ! -d "$HOME"/.scorpio22/personality ] ; then 
		mkdir "$HOME"/.scorpio22/personality ; 
	fi

if [ ! -d "$HOME"/.scorpio22/log ] ; then
		mkdir "$HOME"/.scorpio22/log ;
	fi

if [ ! -e "$HOME"/.scorpio22/scorpio.ini ] ; then 
		cp /usr/share/scorpio22/scorpio.ini "$HOME"/.scorpio22/ ; 
	fi

if [ ! -e "$HOME"/.scorpio22/book.dat ] ; then
		cp /usr/share/scorpio22/book.dat "$HOME"/.scorpio22/ ;
	fi

if [ ! -e "$HOME"/.scorpio22/personality/end.per ] ; then 
		cp /usr/share/scorpio22/personality/* "$HOME"/.scorpio22/personality/ ; 
	fi

cd "$HOME"/.scorpio22/ 

/usr/bin/scorpio22.bin

exit 0
